Skip to content

Create a lifecycle by cloning an existing one

POST
/api/v1/projects/{projectId}/lifecycles
curl --request POST \
--url 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/lifecycles?sandboxId=example' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "cloneFromWorkflowId": "example" }'

Stages the new lifecycle into the change request named by sandboxId; nothing applies until the request is promoted. States and transitions are re-identified into the new lifecycle and carry their policy.

projectId
required
string format: uuid
sandboxId
required
string
Media typeapplication/json
object
name
required
string
cloneFromWorkflowId
string | null

Example generated

{
"name": "example",
"cloneFromWorkflowId": "example"
}

OK

Media type*/*
object
id
required
string
name
required
string
description
string | null
editable
required
boolean
initialStateId
required
string
states
required
Array<object>
object
id
required
string
name
required
string
lifecycleStatus
required
string
color
string | null
type
required
string
displayOrder
required
integer format: int32
transitions
required
Array<object>
object
id
required
string
fromStateId
required
string
toStateId
required
string
name
required
string
requiresSignature
required
boolean
separationOfDuties
required
boolean
requiredEndorsements
required
Array<object>
object
principal
required
object
type
required
string
id
required
string
signatureRequired
required
boolean
distinctUsers
integer | null format: int32
buttonLabel
string | null
buttonColor
required
string
buttonIcon
string | null
sortOrder
required
integer format: int32
requiresComment
required
boolean
commentMinLength
required
integer format: int32
confirmationRequired
required
boolean
confirmationMessage
string | null